<?php
// +----------------------------------------------------------------------
// | 登录接口
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://xiuxian.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

class index {
    
    /**
	 * 接口请求入口
	 * @param obj $request
     * @param obj $response 
     * @param array $param 
     * @param obj $api    
	 * @return bool
	*/
	public function run($request, $response, $param, $api){
        $res = $this->is_type($request, $response, $api, 'get');
        if ($res !== true) {
            $response->end($res);
        } else {
            $response->end($api::json('200', '请求成功', $param));
        }
    }
    
    // 判断请求类型
    private function is_type($request, $response, $api, $is_type) {
        # 拿出类型
        $type = strtolower($request->server['request_method']);
        if ($type != $is_type) {
            return $api::json('50000', '请求类型错误！');
        }
        return true;
    }
}
